﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class PlayerLabel : MonoBehaviour {

	public PlayerController pc;
	private Text thisLabel;
	//public Font labelFont;

	// Use this for initialization
	void Start () {
		thisLabel = GetComponent<Text> ();
	}
	
	// Update is called once per frame
	void Update () {
		if (pc.gameObject.activeSelf) {
			if (Camera.main.gameObject.GetComponent<GameManager> ().roundState == Rounds.Setup ||
			   Camera.main.gameObject.GetComponent<GameManager> ().roundState == Rounds.Startup) {
				thisLabel.gameObject.GetComponent<Text> ().enabled = true;

				if (!pc.AIControlled) {
					thisLabel.text = "Player " + pc.player.ToString ();
					//thisLabel.font = labelFont;
					switch (pc.teamName) {
					default:
						thisLabel.color = new Color (1f, 0f, 0f);
						break;

					case "BAD BOYS":
						thisLabel.color = new Color (1f, 0.5f, 0f);
						break;
					}
				} else {
					thisLabel.text = "CPU";
					thisLabel.color = new Color (0.4f, 0.4f, 0.8f);
				}
			} else {
				thisLabel.gameObject.GetComponent<Text> ().enabled = false;
			}
		}
	}
}
